
Redmine - Defect #13756

Internal error on gantt png-link

2013-04-12 20:13 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

Clicking on the png-link at the bottom of the gantt page I receive an internal error.

Started GET "/projects/projectx/issues/gantt.png?month=4&months=6&year=2013&zoom=2" for 95.113.214

.61 at 2013-04-12 19:33:47 +0200

Processing by GanttsController#show as PNG

  Parameters: {"month"=>"4", "months"=>"6", "year"=>"2013", "zoom"=>"2", "project_id"=>"projectx"}

  Current user: centrinov (id=3)

Completed 500 Internal Server Error in 379ms

Magick::ImageMagickError (no decode delegate for this image format `/tmp/magick-26362OvycamgJPfqW1

' @ error/constitute.c/ReadImage/550: `(null)'):

  lib/redmine/helpers/gantt.rb:521:in `draw'

  lib/redmine/helpers/gantt.rb:521:in `to_image'

  app/controllers/gantts_controller.rb:44:in `block (2 levels) in show'

  app/controllers/gantts_controller.rb:42:in `show'

 
Ruby version              1.9.2 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.13

 No Plugins installed.

Could someone confirm or does this cause by the not correct configured ImageMagick?

History

#1 - 2013-06-08 23:44 - Filou Centrinov

- Status changed from New to Closed

- Resolution set to Invalid

After updating server, Redmine and ruby I can't reproduce this bug. So this issue is resolved for me.
